Subject: Re: Uname -m and arch
From: [email-masked] (Geoffrey Noer)

29 May 1997 20:53:44 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Fabio Somenzi)
Original-Cc: [email-masked], [email-masked] (Geoffrey Noer)
In-Reply-To: <[email-masked]> from "Fabio Somenzi" at Dec 15, 96 10:53:28 pm
X-Mailer: ELM [version 2.4 PL23]
Original-Sender: [email-masked]

Fabio Somenzi wrote:
[...]
> When I type "uname -m" on my Pentium 120 running Win95, I get:
>   i6395286
> Under Linux, I would get i586. Is this as it should be? If so, what is
> the meaning of 6395286?

Either you have an Intel i6395286 chip in your machine or you're running
into a cygwin.dll bug.  I have a hunch as to which is more likely.  :-)

What's happening is that uname() isn't setting the processor level
correctly.  uname() gets some of its info using the SYSTEM_INFO struct.
This structure has various members many of which aren't supported under
both Windows 95 and NT.  :-(  I've fixed the development sources so uname
will behave better under Windows 95 in future releases.

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".